post
https://api.caas.staging.bancocdc.com.br/client/pf/
The create route is responsible for creating a new Legal Entity (PF) client.
Identification Types
| Value | Description |
|---|---|
| 1 | RG |
| 2 | CNH |
Civil Status Types
| Value | Description |
|---|---|
| 1 | Single |
| 2 | Married |
| 3 | Divorced |
| 4 | Widower |
Types of Scholarity
| Code | Description |
|---|---|
| 1 | Ensino Fundamental Incompleto |
| 2 | Ensino Fundamental Completo |
| 3 | Ensino Médio Incompleto |
| 4 | Ensino Médio Completo |
| 5 | Técnico |
| 6 | Técnologo |
| 7 | Ensino Superior Incompleto |
| 8 | Ensino Superior Completo |
| 9 | Pós-Graduação |
| 10 | Mestrado |
| 11 | Doutorado |
Types of Occupation
| Value | Description |
|---|---|
| 1 | Unemployed |
| 2 | Retired |
| 3 | Salaried |
| 4 | Autonomous |
| 5 | DO LAR |
| 6 | Businessman |
| 7 | Trainee |
| 8 | Student |
| 9 | Pensioner |
| 10 | Rural Producer |
| 11 | Not Declared |
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-10 | Please provide the correct document. |
| 400 | 400-11 | Error registering. |
| 401 | 401-05 | Unauthorized or token invalid. |
| 406 | 406-01 | User was not found. |
| 406 | 406-03 | field 'X' is mandatory and was not informed. |
| 409 | 409-01 | Customer already registered on the base. |
| 429 | 429-01 | Too many requests. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | string | Code of the request made. |
| return | boolean | Indicates if the request was successful. |
| return_code | string | Return code of the request. |
| message | string | Message indicating the reason for the response. |
| data | object | Object containing additional information. |
| data.code | string | Code associated with the customer created in the request. |